org.eclipse.lyo.oslc4j.core.model

## Class Compact

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.oslc4j.core.model.Compact

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://open-services.net/ns/core#")
      @OslcResourceShape(title="OSLC Compact Resource Shape",
                         describes="http://open-services.net/ns/core#Compact")
      public class Compact
      extends AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Compact()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getIcon()`
    `Preview` | `getLargePreview()`
    `String` | `getShortTitle()`
    `Preview` | `getSmallPreview()`
    `String` | `getTitle()`
    `void` | `setIcon(URI icon)`
    `void` | `setLargePreview(Preview largePreview)`
    `void` | `setShortTitle(String shortTitle)`
    `void` | `setSmallPreview(Preview smallPreview)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Compact

          public Compact()

  - ### Method Detail

    - #### getIcon

          @OslcDescription(value="URI of an image which may be used in the display of a link to the resource. The image SHOULD be 16x16 pixels in size.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#icon")
          @OslcReadOnly
          @OslcTitle(value="Icon")
          public URI getIcon()

    - #### getLargePreview

          @OslcDescription(value="URI and sizing properties for an HTML document to be used for a large preview.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#largePreview")
          @OslcRange(value="http://open-services.net/ns/core#Preview")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Large Preview")
          @OslcValueShape(value="resourceShapes/preview")
          @OslcValueType(value=LocalResource)
          public Preview getLargePreview()

    - #### getShortTitle

          @OslcDescription(value="Abbreviated title which may be used in the display of a link to the resource.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#shortTitle")
          @OslcReadOnly
          @OslcTitle(value="Short Title")
          public String getShortTitle()

    - #### getSmallPreview

          @OslcDescription(value="URI and sizing properties for an HTML document to be used for a small preview.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#smallPreview")
          @OslcRange(value="http://open-services.net/ns/core#Preview")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Small Preview")
          @OslcValueShape(value="resourceShapes/preview")
          @OslcValueType(value=LocalResource)
          public Preview getSmallPreview()

    - #### getTitle

          @OslcDescription(value="Title which may be used in the display of a link to the resource.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcReadOnly
          @OslcTitle(value="Title")
          @OslcValueType(value=String)
          public String getTitle()

    - #### setIcon

          public void setIcon(URI icon)

    - #### setLargePreview

          public void setLargePreview(Preview largePreview)

    - #### setShortTitle

          public void setShortTitle(String shortTitle)

    - #### setSmallPreview

          public void setSmallPreview(Preview smallPreview)

    - #### setTitle

          public void setTitle(String title)

Copyright © 2016. All rights reserved.